﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridCheckBoxAccess.aspx.cs" Inherits="RadGridCheckBoxAccess" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
            function RowContextMenu(sender, args) {
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <telerik:RadGrid ID="RadGrid1" runat="server" GroupPanelPosition="Top"
            OnNeedDataSource="RadGrid1_NeedDataSource" CellPadding="10"
            AllowSorting="True" Width="1200px" AutoGenerateColumns="false"
            EnableHeaderContextFilterMenu="true" OnSelectedIndexChanged="RadGrid1_SelectedIndexChanged"
            AutoGenerateEditColumn="true">
            <GroupingSettings CollapseAllTooltip="Collapse all groups" />
            <ClientSettings
                EnablePostBackOnRowClick="true">
                <Selecting AllowRowSelect="True" />
                <Scrolling AllowScroll="true" UseStaticHeaders="True" />
                <Resizing AllowColumnResize="True" />
                <ClientEvents OnRowContextMenu="RowContextMenu" />
            </ClientSettings>
            <GroupPanel ID="GroupPanel" Style="width: 100%;">
            </GroupPanel>
            <GroupHeaderItemStyle BackColor="#6699FF" />
            <MasterTableView CommandItemDisplay="Top" DataKeyNames="OrderID">
                <Columns>
                    <telerik:GridTemplateColumn HeaderText="Inhibit" UniqueName="bInhibit"
                        DataField="bInhibit" HeaderStyle-Width="50px">
                        <EditItemTemplate>
                            <asp:CheckBox ID="inhibitCB" runat="server"
                                Checked='<%# Bind("bInhibit") %>'></asp:CheckBox>
                        </EditItemTemplate>
                        <ItemTemplate>
                            <asp:CheckBox ID="defaultChkBox" runat="server"
                                Checked='<%# Eval("bInhibit") %>'></asp:CheckBox>
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridBoundColumn DataField="OrderID" DataType="System.Int32"
                        FilterControlAltText="Filter OrderID column" HeaderText="OrderID"
                        ReadOnly="True" SortExpression="OrderID" UniqueName="OrderID">
                    </telerik:GridBoundColumn>
                    <telerik:GridDateTimeColumn DataField="OrderDate" DataType="System.DateTime"
                        FilterControlAltText="Filter OrderDate column" HeaderText="OrderDate"
                        SortExpression="OrderDate" UniqueName="OrderDate">
                    </telerik:GridDateTimeColumn>
                    <telerik:GridNumericColumn DataField="Freight" DataType="System.Decimal"
                        FilterControlAltText="Filter Freight column" HeaderText="Freight"
                        SortExpression="Freight" UniqueName="Freight">
                    </telerik:GridNumericColumn>
                    <telerik:GridBoundColumn DataField="ShipName"
                        FilterControlAltText="Filter ShipName column" HeaderText="ShipName"
                        SortExpression="ShipName" UniqueName="ShipName">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ShipCountry"
                        FilterControlAltText="Filter ShipCountry column" HeaderText="ShipCountry"
                        SortExpression="ShipCountry" UniqueName="ShipCountry">
                    </telerik:GridBoundColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
        <br />
        <asp:Label ID="Label1" runat="server" Text="Output"></asp:Label>
    </form>
</body>
</html>
